<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:39 PST 2017 -->
<title>Attr</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Attr";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/BrowserSession.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Attr.html" target="_top">Frames</a></li>
<li><a href="Attr.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Attr" class="title">Class Attr</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Attr</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Attr</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Attr">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Annex">A_Annex</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_CommandOption">A_CommandOption</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_ConstVector">A_ConstVector</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_CustomHeader">A_CustomHeader</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_DirectCall">A_DirectCall</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Encoded">A_Encoded</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Facet">A_Facet</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Gated">A_Gated</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_GlobalNames">A_GlobalNames</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_HeaderName">A_HeaderName</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_InstanceFinalize">A_InstanceFinalize</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_InstanceInitError">A_InstanceInitError</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_InstanceInitStatic">A_InstanceInitStatic</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Macro">A_Macro</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_ModuleStartup">A_ModuleStartup</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_NoProxyCreate">A_NoProxyCreate</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_NoRuntime">A_NoRuntime</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Opaque">A_Opaque</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Prefix">A_Prefix</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Proxy">A_Proxy</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_System">A_System</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_TargetHeader">A_TargetHeader</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Template">A_Template</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_Transient">A_Transient</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#A_XmlDtd">A_XmlDtd</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#getName()">getName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#getVal()">getVal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Attr.html#toText()">toText</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="A_Annex">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Annex</h4>
<pre>public static final&nbsp;java.lang.String A_Annex</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Annex">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_CommandOption">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_CommandOption</h4>
<pre>public static final&nbsp;java.lang.String A_CommandOption</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_CommandOption">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_ConstVector">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_ConstVector</h4>
<pre>public static final&nbsp;java.lang.String A_ConstVector</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_ConstVector">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_CustomHeader">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_CustomHeader</h4>
<pre>public static final&nbsp;java.lang.String A_CustomHeader</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_CustomHeader">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_DirectCall">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_DirectCall</h4>
<pre>public static final&nbsp;java.lang.String A_DirectCall</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_DirectCall">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Encoded">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Encoded</h4>
<pre>public static final&nbsp;java.lang.String A_Encoded</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Encoded">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Facet">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Facet</h4>
<pre>public static final&nbsp;java.lang.String A_Facet</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Facet">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Gated">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Gated</h4>
<pre>public static final&nbsp;java.lang.String A_Gated</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Gated">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_GlobalNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_GlobalNames</h4>
<pre>public static final&nbsp;java.lang.String A_GlobalNames</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_GlobalNames">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_HeaderName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_HeaderName</h4>
<pre>public static final&nbsp;java.lang.String A_HeaderName</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_HeaderName">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_InstanceFinalize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_InstanceFinalize</h4>
<pre>public static final&nbsp;java.lang.String A_InstanceFinalize</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_InstanceFinalize">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_InstanceInitError">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_InstanceInitError</h4>
<pre>public static final&nbsp;java.lang.String A_InstanceInitError</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_InstanceInitError">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_InstanceInitStatic">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_InstanceInitStatic</h4>
<pre>public static final&nbsp;java.lang.String A_InstanceInitStatic</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_InstanceInitStatic">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Macro">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Macro</h4>
<pre>public static final&nbsp;java.lang.String A_Macro</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Macro">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_ModuleStartup">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_ModuleStartup</h4>
<pre>public static final&nbsp;java.lang.String A_ModuleStartup</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_ModuleStartup">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_NoProxyCreate">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_NoProxyCreate</h4>
<pre>public static final&nbsp;java.lang.String A_NoProxyCreate</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_NoProxyCreate">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_NoRuntime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_NoRuntime</h4>
<pre>public static final&nbsp;java.lang.String A_NoRuntime</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_NoRuntime">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Opaque">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Opaque</h4>
<pre>public static final&nbsp;java.lang.String A_Opaque</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Opaque">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Prefix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Prefix</h4>
<pre>public static final&nbsp;java.lang.String A_Prefix</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Prefix">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Proxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Proxy</h4>
<pre>public static final&nbsp;java.lang.String A_Proxy</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Proxy">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_System">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_System</h4>
<pre>public static final&nbsp;java.lang.String A_System</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_System">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_TargetHeader">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_TargetHeader</h4>
<pre>public static final&nbsp;java.lang.String A_TargetHeader</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_TargetHeader">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Template">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Template</h4>
<pre>public static final&nbsp;java.lang.String A_Template</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Template">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_Transient">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>A_Transient</h4>
<pre>public static final&nbsp;java.lang.String A_Transient</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_Transient">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="A_XmlDtd">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>A_XmlDtd</h4>
<pre>public static final&nbsp;java.lang.String A_XmlDtd</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#xdc.services.spec.Attr.A_XmlDtd">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getName()</pre>
</li>
</ul>
<a name="getVal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVal</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a>&nbsp;getVal()</pre>
</li>
</ul>
<a name="toText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toText</h4>
<pre>public&nbsp;java.lang.String&nbsp;toText()</pre>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/BrowserSession.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Attr.html" target="_top">Frames</a></li>
<li><a href="Attr.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
